package com.javaseleniumtemplate.flows;
import com.javaseleniumtemplate.pages.ProdutoPage;

public class ProdutoFlows {

    ProdutoPage produtoPage;
    public ProdutoFlows(){
        produtoPage = new ProdutoPage();
    }
    public void adicionarProdutoEstoque(String codigoProduto, String nomeProduto, String unidadeMedida,String valorPesoUnidade,String valorEmbalagem, String valorFatorCorrecao){

        produtoPage.clicarBotaoAdicionar();
        produtoPage.codigoArvore();
        produtoPage.campoBuscar();
        produtoPage.digitarCodigoProduto(codigoProduto);
        produtoPage.selecionarProdutoEstoque();
        produtoPage.buscarNomeProduto(nomeProduto);
        produtoPage.buscaUnidadeMedida();
        produtoPage.campoBuscar();
        produtoPage.digitarUnidade(unidadeMedida);
        produtoPage.clicarUnidade();
        produtoPage.clicarTipoProduto();
        produtoPage.valorEstoque();
        produtoPage.clicarSalvar();
        produtoPage.clicarContainerAlert();
        produtoPage.clicarCampoPesoUnidade(valorPesoUnidade);
        produtoPage.fatorCorrecao(valorFatorCorrecao);
        produtoPage.clicarCampoEmbalagem(valorEmbalagem);
        produtoPage.clicarCampoUnidade();
        produtoPage.campoBuscar();
        produtoPage.digitarUnidade(unidadeMedida);
        produtoPage.clicarUnidade();



       // produtoPage.clicarCampoUnidade();

       produtoPage.clicarBotaoSalvar();

    }


    public void editarProdutoEstoque(String nomeProduto, String numeroDoCodigoDeBarras, String descricaoComplementoDeNome, String DescricaoNomeCodificado, String descricaoTamanho,String descricaoinformacoesAdicionaisDoProduto){

        produtoPage.procurandoProduto();
        produtoPage.buscarProduto();
        produtoPage.buscarProdutoNome(nomeProduto);
        produtoPage.produtoCadastroEstoque();
        produtoPage.clicarBotaoEditar();
        produtoPage.codigoBarras(numeroDoCodigoDeBarras);
        produtoPage.nomeCodificado(descricaoComplementoDeNome);
        produtoPage.complementoNome(descricaoComplementoDeNome);
        produtoPage.inserirDescricaoTamanho(descricaoTamanho);
        produtoPage.informacoesAdicionaisProduto(descricaoinformacoesAdicionaisDoProduto);
        produtoPage.clicarSalvar();


    }

    public void excluirProdutoEstoque(String nomeProduto, String mensagemFinal){
        produtoPage.procurandoProduto();
        produtoPage.buscarProduto();
        produtoPage.buscarProdutoNome(nomeProduto);
        produtoPage.cadastroTipoEstoque();
        produtoPage.clicarBotaoExcluir();
        produtoPage.buscarProdutoExcluido();
        produtoPage.buscarProduto();
        produtoPage.buscarProdutoNome(nomeProduto);
        produtoPage.textoNaoEncontrado(mensagemFinal);

    }

    public void ArvoreDeProduto(String campoProdutoNome, String campoOperador){

        produtoPage.adicionarProdutoArvore();
        produtoPage.nomeProduto(campoProdutoNome);
        produtoPage.grupoOperadores();
        produtoPage.adicionarGrupoOperadores();
        produtoPage.clicarBotaoGrupoOperador();
        produtoPage.campoBuscar();
        produtoPage.buscarOperador(campoOperador);
        produtoPage.selecionarOperador();
        produtoPage.clicarCadastroProduto();
        produtoPage.selecionarOpcao();
        produtoPage.salvarProduto();

        }
}

