package com.javaseleniumtemplate.pages.naocontrolaalmoxarifado;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class FecharDiaNaoControlaAlmoxarifadoPage extends PageBase {
    //Evento de loading da pagina:
    By loadingWait = By.xpath("//*[@class='zh-loading-desc ng-binding']");
    By BtnFecharDia = By.xpath("//span[text()='Fechar Dia']");

    By BtnOk = By.xpath("//span[text()='OK']");


    public void aplicarFechamentoDia(){

        waitForInvisibilityOfElementLocated(loadingWait);
        waitForVisibilityOfElementLocated(BtnFecharDia);
        click(BtnFecharDia);
        waitForInvisibilityOfElementLocated(loadingWait);


        waitForVisibilityOfElementLocated(BtnOk);
        click(BtnOk);
        waitForInvisibilityOfElementLocated(loadingWait);

    }

}
